<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig 
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."jquery_login_model_panel/infusion_db.php";

if (!checkrights("MLOP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) redirect("../index.php");

if (file_exists(INFUSIONS."jquery_login_model_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."jquery_login_model_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."jquery_login_model_panel/locale/English.php";
}

add_to_title($locale['global_200'].$locale['jlmp_title'].$locale['jlmp_001']);

add_to_head("<script type='text/javascript' src='".INFUSIONS."jquery_login_model_panel/js/jscolor/jscolor.js'></script>");
if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

   $login_settings = dbarray(dbquery("SELECT * FROM ".DB_LOGIN_SETTINGS.""));
    $error = 0;
	
	$login_gradient_start_colour = stripinput($login_settings['login_gradient_start_colour']);
	$login_gradient_end_colour = stripinput($login_settings['login_gradient_end_colour']);
	$login_border_radius=(isset($_POST['login_border_radius']) && isNum($_POST['login_border_radius'])) ? $_POST['login_border_radius'] : "0";
	$login_box_text_colour = stripinput($login_settings['login_box_text_colour']);
	$login_heading_text_colour = stripinput($login_settings['login_heading_text_colour']);
	$login_text_shadow_colour = stripinput($login_settings['login_text_shadow_colour']);
	$login_link_text_colour = stripinput($login_settings['login_link_text_colour']);
	$login_link_text_hovercolour = stripinput($login_settings['login_link_text_hovercolour']);
	$login_textbox_bgcolour = stripinput($login_settings['login_textbox_bgcolour']);
	$login_textbox_bgcolourhover = stripinput($login_settings['login_textbox_bgcolourhover']);
	$login_textbox_textcolour = stripinput($login_settings['login_textbox_textcolour']);
	$login_box_textboxshadow = stripinput($login_settings['login_box_textboxshadow']);
	$login_box_textboxshadowhover = stripinput($login_settings['login_box_textboxshadowhover']);
	$login_button_gradient_start_colour= stripinput($login_settings['login_button_gradient_start_colour']);
	$login_button_gradient_end_colour= stripinput($login_settings['login_button_gradient_end_colour']);
	$login_button_gradient_start_hovercolour= stripinput($login_settings['login_button_gradient_start_hovercolour']);
	$login_button_gradient_end_hovercolour= stripinput($login_settings['login_button_gradient_end_hovercolour']);
	$login_button_text_colour = stripinput($login_settings['login_button_text_colour']);
	$login_button_border_colour= stripinput($login_settings['login_button_border_colour']);
	
if (isset($_POST['savesettings']) ) {
    $result = dbquery("UPDATE ".DB_LOGIN_SETTINGS." SET  login_gradient_start_colour='".addslashes($_POST['login_gradient_start_colour'])."', 
	login_gradient_end_colour='".addslashes($_POST['login_gradient_end_colour'])."', 
	login_border_radius='$login_border_radius', 
	login_box_text_colour='".addslashes($_POST['login_box_text_colour'])."',
	login_heading_text_colour='".addslashes($_POST['login_heading_text_colour'])."', 
	login_text_shadow_colour='".addslashes($_POST['login_text_shadow_colour'])."',
	login_link_text_colour='".addslashes($_POST['login_link_text_colour'])."',
	login_link_text_hovercolour='".addslashes($_POST['login_link_text_hovercolour'])."',
	login_textbox_bgcolour='".addslashes($_POST['login_textbox_bgcolour'])."',
	login_textbox_bgcolourhover='".addslashes($_POST['login_textbox_bgcolourhover'])."', 
	login_textbox_textcolour='".addslashes($_POST['login_textbox_textcolour'])."',
	login_box_textboxshadow='".addslashes($_POST['login_box_textboxshadow'])."', 
	login_box_textboxshadowhover='".addslashes($_POST['login_box_textboxshadowhover'])."', 
	login_button_gradient_start_colour='".addslashes($_POST['login_button_gradient_start_colour'])."',
	login_button_gradient_end_colour='".addslashes($_POST['login_button_gradient_end_colour'])."',
	login_button_gradient_start_hovercolour='".addslashes($_POST['login_button_gradient_start_hovercolour'])."',
	login_button_gradient_end_hovercolour='".addslashes($_POST['login_button_gradient_end_hovercolour'])."',
	login_button_text_colour='".addslashes($_POST['login_button_text_colour'])."',
	login_button_border_colour='".addslashes($_POST['login_button_border_colour'])."'");
	
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}



	opentable($locale['jlmp_title'].$locale['jlmp_001']);

	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."' >\n";
    echo"<div style='margin-left: auto; margin-right: auto;' class='admin-message'>".$locale['jlmp_002']."</div>";
	echo "<table cellpadding='0' cellspacing='0' width='80%' class='tbl-border' align='center' style='margin-top: 10px;'>\n<tr>\n";
	echo" <td align='left' width='75%' class='tbl'>".$locale['jlmp_003'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_gradient_start_colour' value='".$login_settings['login_gradient_start_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_004'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_gradient_end_colour' value='".$login_settings['login_gradient_end_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo "<td align='left' class='tbl' >".$locale['jlmp_005'].":</td>\n";
	echo "<td align='left' class='tbl' ><select name='login_border_radius' class='textbox'>\n";
	echo "<option value='1'".($login_settings['login_border_radius'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($login_settings['login_border_radius'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo" <td align='left' class='tbl'>".$locale['jlmp_006'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_box_text_colour' value='".$login_settings['login_box_text_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_007'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_heading_text_colour' value='".$login_settings['login_heading_text_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_008'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_text_shadow_colour' value='".$login_settings['login_text_shadow_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_009'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_link_text_colour' value='".$login_settings['login_link_text_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_010'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_link_text_hovercolour' value='".$login_settings['login_link_text_hovercolour']."'/></td>\n";
	echo "</tr>";
	echo"</table>";
	 echo"<div style='margin-left: auto; margin-right: auto; margin-bottom: 10px; margin-top: 10px;' class='admin-message'>".$locale['jlmp_011']."</div>";
	echo "<table cellpadding='0' cellspacing='0' width='80%' class='tbl-border' align='center' style='margin-top: 10px;'>\n<tr>\n";
	echo" <td align='left' width='75%' class='tbl'>".$locale['jlmp_012'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_textbox_bgcolour' value='".$login_settings['login_textbox_bgcolour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_013'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_textbox_bgcolourhover' value='".$login_settings['login_textbox_bgcolourhover']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_014'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_textbox_textcolour' value='".$login_settings['login_textbox_textcolour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_015'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_box_textboxshadow' value='".$login_settings['login_box_textboxshadow']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_016'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_box_textboxshadowhover' value='".$login_settings['login_box_textboxshadowhover']."'/></td>\n";
	echo "</tr></table>";
	 echo"<div style='margin-left: auto; margin-right: auto; margin-bottom: 10px; margin-top: 10px;' class='admin-message'>".$locale['jlmp_017']."</div>";
	echo "<table cellpadding='0' cellspacing='0' width='80%' class='tbl-border' align='center' style='margin-top: 10px; margin-bottom: 10px;'>\n<tr>\n";
	echo" <td align='left' width='75%' class='tbl'>".$locale['jlmp_018'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_button_gradient_start_colour' value='".$login_settings['login_button_gradient_start_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_019'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_button_gradient_end_colour' value='".$login_settings['login_button_gradient_end_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_020'] .":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_button_gradient_start_hovercolour' value='".$login_settings['login_button_gradient_start_hovercolour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_021'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_button_gradient_end_hovercolour' value='".$login_settings['login_button_gradient_end_hovercolour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_022'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_button_text_colour' value='".$login_settings['login_button_text_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['jlmp_023'].":</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='login_button_border_colour' value='".$login_settings['login_button_border_colour']."'/></td>\n";
	echo "</tr>";
	echo "</table>\n";
	echo "<div width='80%' class='tbl' style='margin-bottom: 10px;' align='center'>\n";
	echo "<input type='submit' name='savesettings' value='".$locale['jlmp_024']."' class='button' />\n";
	echo"</div>\n";
	echo "</form>\n";
	
    closetable();
	
require_once THEMES."templates/footer.php";
?>