<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: styles.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developer: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by tasking the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."jquery_login_model_panel/infusion_db.php";

if (dbrows(dbquery("SHOW TABLES LIKE '".DB_LOGIN_SETTINGS."'"))) {

$login_settings = dbarray(dbquery("SELECT * FROM ".DB_LOGIN_SETTINGS.""));


add_to_head("<style type='text/css'> 
		#mask {
			width:100%;
			height:100%;
			position:absolute;
			left:0;
			top:0;
			z-index:9000;
			background-color:#000;
			display:none;
		}
		#boxes .window {
			position:fixed;
			left:0;
			top:0;
			display:none;
			z-index:9999;
			padding:20px;
		}
		#boxes #dialog {
			font-size: 12px;
			width:320px; 
			color:#".stripinput($login_settings['login_box_text_colour']).";
			padding:10px;
			padding-left: 20px;
			background:#".stripinput($login_settings['login_gradient_start_colour']).";
			background-image:-moz-linear-gradient(top,#".stripinput($login_settings['login_gradient_start_colour'])." 0,#".stripinput($login_settings['login_gradient_end_colour'])." 100%);
			background-image:-ms-linear-gradient(top,#".stripinput($login_settings['login_gradient_start_colour'])." 0,#".stripinput($login_settings['login_gradient_end_colour'])." 100%);
			background-image:-o-linear-gradient(top,#".stripinput($login_settings['login_gradient_start_colour'])." 0,#".stripinput($login_settings['login_gradient_end_colour'])." 100%);
			background-image:-webkit-gradient(linear,left top,left bottom,color-stop(0,#".stripinput($login_settings['login_gradient_start_colour'])."),color-stop(100%,#".stripinput($login_settings['login_gradient_end_colour'])."));
			background-image:-webkit-linear-gradient(top,#".stripinput($login_settings['login_gradient_start_colour'])." 0,#".stripinput($login_settings['login_gradient_end_colour'])." 100%);
			background-image:linear-gradient(to bottom,#".stripinput($login_settings['login_gradient_start_colour'])." 0,#".stripinput($login_settings['login_gradient_end_colour'])." 100%);
			filter:progid:DXImageTransform.Microsoft.Gradient(GradientType=0,StartColorStr=#ff".stripinput($login_settings['login_gradient_start_colour']).",EndColorStr=#ff".stripinput($login_settings['login_gradient_end_colour']).");
			".($login_settings['login_border_radius']==1?"-webkit-border-radius: 12px; -moz-border-radius: 12px; border-radius: 12px;":"")."	
			margin-bottom: 20px; 
		}
		.title {
			font-family: Arial Black, Gadget, sans-serif;
			font-size: 24px;
			color: #".stripinput($login_settings['login_heading_text_colour']).";
			".($login_settings['login_border_radius']==1?"-webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px;":"")."
		}
		.form-div { 
			margin-top: 20px;
			float: left;
		}
		.username {
			font-size: 16px; 
			padding-bottom: 5px; 
			text-shadow: -1px -2px 3px #".stripinput($login_settings['login_text_shadow_colour']).";
			filter: dropshadow(color=#".stripinput($login_settings['login_text_shadow_colour']).", offx=-1, offy=-2);
		}
		.password {
			font-size: 16px; 
			margin-top: 10px;  
			padding-bottom: 5px; 
			text-shadow: -1px -2px 3px #".stripinput($login_settings['login_text_shadow_colour']).";
			filter: dropshadow(color=#".stripinput($login_settings['login_text_shadow_colour']).", offx=-1, offy=-2);
		}
		.textboxb { 
			width: 250px; 
			height: 28px;  
			padding-bottom: 5px; 
			font-family:Verdana, Tahoma, Arial, Sans-Serif; 
			font-size: 18px; 	
			font-weight: bold; 
			color: #".stripinput($login_settings['login_textbox_textcolour'])."; 	 
			background-color: #".stripinput($login_settings['login_textbox_bgcolour'])."; 
			border: 1px solid #ccc; 
			".($login_settings['login_border_radius']==1?"-webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px;":"")."
			-webkit-box-shadow: 0px 0px 2px 3px #".stripinput($login_settings['login_box_textboxshadow']).";
			box-shadow: 0px 0px 2px 3px #".stripinput($login_settings['login_box_textboxshadow']).";  
		}
		.textboxb:hover { 
			background-color: #".stripinput($login_settings['login_textbox_bgcolourhover']).";  
			-webkit-box-shadow: 0px 0px 2px 3px #".stripinput($login_settings['login_box_textboxshadowhover']).";
			box-shadow: 0px 0px 2px 3px #".stripinput($login_settings['login_box_textboxshadowhover']).";  
		}
		.loginbutton-div {
			margin-top: 15px; 
			margin-bottom: 15px;
		}
		.rememberme {
			text-align: left;
			padding-left:20px;
		}
		.loginbutton {
			font-family: Arial, Helvetica, sans-serif;
			font-size: 14px;
			color: #".stripinput($login_settings['login_button_text_colour']).";
			padding: 5px 20px;
			background: #".stripinput($login_settings['login_button_gradient_start_colour']).";
			background: -moz-linear-gradient(top, #".stripinput($login_settings['login_button_gradient_start_colour'])." 0%, #".stripinput($login_settings['login_button_gradient_end_colour']).");
			background: -webkit-gradient(linear, left top, left bottom, from(#".stripinput($login_settings['login_button_gradient_start_colour'])."), to(#".stripinput($login_settings['login_button_gradient_end_colour'])."));
			".($login_settings['login_border_radius']==1?"-webkit-border-radius: 6px; -moz-border-radius: 6px; border-radius: 6px;":"")."
			border: 1px solid #".stripinput($login_settings['login_button_border_colour']).";
		}
		.loginbutton:hover {
			font-family: Arial, Helvetica, sans-serif;
			font-size: 14px;
			color: #".stripinput($login_settings['login_button_text_colour']).";
			padding: 5px 20px;
			background: -moz-linear-gradient( top, #".stripinput($login_settings['login_button_gradient_start_hovercolour'])." 0%, #".stripinput($login_settings['login_button_gradient_end_hovercolour']).");
			background: -webkit-gradient(linear, left top, left bottom, from(#".stripinput($login_settings['login_button_gradient_start_hovercolour'])."), to(#".stripinput($login_settings['login_button_gradient_end_hovercolour'])."));
			".($login_settings['login_border_radius']==1?"-webkit-border-radius: 6px; -moz-border-radius: 6px; border-radius: 6px;":"")."
			border: 1px solid #".stripinput($login_settings['login_button_border_colour']).";
		}
		.divclose {
			padding-top: 3px;
		}
		.close {   
			margin-top: 5px; 
			float: right; 
			opacity:0.5;
			filter:alpha(opacity=50);
			padding-right: 15px;	
		}
		.close:hover { 
			opacity:0.3;
			filter:alpha(opacity=30);
		}
		.link-text { 
			color: #".stripinput($login_settings['login_link_text_colour'])."; 
		}
		.link-text:hover { 
			color: #".stripinput($login_settings['login_link_text_hovercolour'])."; 
			text-decoration: none;
		}
</style>");
}

?>