<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones
+--------------------------------------------------------+
| Author: PHP-Fusion Mods UK
| Developers: Craig 
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (file_exists(INFUSIONS."jquery_login_model_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."jquery_login_model_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."jquery_login_model_panel/locale/English.php";
}
include INFUSIONS."jquery_login_model_panel/infusion_db.php";

$inf_title = $locale['jlmp_title'];
$inf_description = $locale['jlmp_desc'];
$inf_version = "1.00";
$inf_developer = "PHP-Fusion Mods UK";
$inf_email = "admin@phpfusionmods.co.uk";
$inf_weburl = "http://www.phpfusionmods.co.uk";

$inf_folder = "jquery_login_model_panel";

$inf_newtable[1] = DB_LOGIN_SETTINGS." (
login_gradient_start_colour VARCHAR(6) NOT NULL DEFAULT '',
login_gradient_end_colour VARCHAR(6) NOT NULL DEFAULT '',
login_border_radius TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
login_box_text_colour VARCHAR(6) NOT NULL DEFAULT '',
login_heading_text_colour VARCHAR(6) NOT NULL DEFAULT '',
login_text_shadow_colour VARCHAR(6) NOT NULL DEFAULT '',
login_link_text_colour VARCHAR(6) NOT NULL DEFAULT '',
login_link_text_hovercolour VARCHAR(6) NOT NULL DEFAULT '',
login_textbox_bgcolour VARCHAR(6) NOT NULL DEFAULT '',
login_textbox_bgcolourhover VARCHAR(6) NOT NULL DEFAULT '',
login_textbox_textcolour VARCHAR(6) NOT NULL DEFAULT '',
login_box_textboxshadow VARCHAR(6) NOT NULL DEFAULT '',
login_box_textboxshadowhover VARCHAR(6) NOT NULL DEFAULT '',
login_button_gradient_start_colour VARCHAR(6) NOT NULL DEFAULT '',
login_button_gradient_end_colour VARCHAR(6) NOT NULL DEFAULT '',
login_button_gradient_start_hovercolour VARCHAR(6) NOT NULL DEFAULT '',
login_button_gradient_end_hovercolour VARCHAR(6) NOT NULL DEFAULT '',
login_button_text_colour VARCHAR(6) NOT NULL DEFAULT '',
login_button_border_colour VARCHAR(6) NOT NULL DEFAULT '',
PRIMARY KEY (login_gradient_start_colour)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_LOGIN_SETTINGS." (login_gradient_start_colour, login_gradient_end_colour, login_border_radius, login_box_text_colour, login_heading_text_colour, login_text_shadow_colour, login_link_text_colour, login_link_text_hovercolour, login_textbox_bgcolour, login_textbox_bgcolourhover, login_textbox_textcolour, login_box_textboxshadow, login_box_textboxshadowhover, login_button_gradient_start_colour,  login_button_gradient_end_colour, login_button_gradient_start_hovercolour,   login_button_gradient_end_hovercolour, login_button_text_colour, login_button_border_colour) VALUES ('af2b26', '942422', '1', 'ffffff', 'ffffff', '444444', 'FFFFFF', 'EEEEEE', 'EFF5FF', 'E5EFFF', '555555', '333333', '555555', '870000', 'db3030', 'A60000', 'E63232', 'ffffff', '000000')";


$inf_droptable[1] = DB_LOGIN_SETTINGS;

$inf_adminpanel[1] = array(
    "title" => $locale['jlmp_admin'], 
    "image" => "image.gif",
    "panel" => "admin.php", 
    "rights" => "MLOP" 
);
?>