<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_info_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Filename: jquery_login_model_panel.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developer: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."jquery_login_model_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."jquery_login_model_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."jquery_login_model_panel/locale/English.php";
}

include INFUSIONS."jquery_login_model_panel/infusion_db.php";

if (dbrows(dbquery("SHOW TABLES LIKE '".DB_LOGIN_SETTINGS."'"))) {

if (iMEMBER) {
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");

	openside($userdata['user_name']);
	
	if ($msg_count) {
	add_to_head("<style type='text/css'> a.new-pm { color: #ff0000; } </style>");
	echo "<div style='text-align:center;margin-bottom:15px;'>\n";
	echo "<strong><a href='".BASEDIR."messages.php' class='new-pm'>";
	echo ($msg_count == 1 ? $locale['jlmp_new_msg001'] : $locale['jlmp_new_msg002']." (".$msg_count.")")."</a></strong>\n";
	echo "</div>\n";
	}
	
	echo THEME_BULLET." <a href='".BASEDIR."edit_profile.php' class='side'>".$locale['global_120']."</a><br />\n";
	echo THEME_BULLET." <a href='".BASEDIR."messages.php' class='side'>".$locale['global_121']."</a><br />\n";
	echo THEME_BULLET." <a href='".BASEDIR."members.php' class='side'>".$locale['global_122']."</a>\n";
	if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
		echo "<br />".THEME_BULLET." <a href='".ADMIN."index.php".$aidlink."' class='side'>".$locale['global_123']."</a>\n";
	}

	echo"<div style='border-top: 1px solid #ccc; border-bottom: 1px solid #ccc; padding-top: 4px;  padding-bottom: 4px; margin-top: 15px; margin-bottom: 5px;'> <span class='side small'><strong>".$locale['jlmp_new_stats']."</strong></span><br />";
	echo THEME_BULLET.$locale['jlmp_new_stats001'].": <strong>".number_format($userdata['user_id'])."</strong><br />";
	echo THEME_BULLET.$locale['jlmp_new_stats002'].": <strong>".showdate("%d/%m/%Y", $userdata['user_joined'])."</strong><br />";
	echo THEME_BULLET.$locale['jlmp_new_stats003'].": <strong>".$userdata['user_ip']."</strong></div>";
	echo"<div style=' border-bottom: 1px solid #ccc;  padding-bottom: 4px;   margin-bottom: 5px;'> <span class='side small'><strong>".$locale['jlmp_new_stats004']."</strong></span><br />";
	echo THEME_BULLET.$locale['jlmp_new_stats005'].": <strong>".number_format($userdata['user_posts'])."</strong><br />";
	echo THEME_BULLET.$locale['jlmp_new_stats006'].": <strong>".number_format(dbcount("(comment_id)", DB_COMMENTS, "comment_name='".$userdata['user_id']."'"))."</strong><br />";
	include_once INFUSIONS."shoutbox_panel/infusion_db.php";
	if (dbrows(dbquery("SHOW TABLES LIKE '".DB_SHOUTBOX."'"))) {
	echo THEME_BULLET.$locale['jlmp_new_stats007'].": <strong>".number_format(dbcount("(shout_id)", DB_SHOUTBOX, "shout_name='".$userdata['user_id']."'"))."</strong><br />";
	}
	echo THEME_BULLET.$locale['jlmp_new_stats008'].": <strong>".number_format(dbcount("(download_id)", DB_DOWNLOADS, "download_user='".$userdata['user_id']."'"))."</strong><br />";
	echo"</div>";

	echo "<div style='margin-top: 5px; text-align: center; font-weight:bold;'><a href='".BASEDIR."index.php?logout=yes' class='side'>".$locale['global_124']."</a></div>\n";


	if (iADMIN && checkrights("SU")) {
		$subm_count = dbcount("(submit_id)", DB_SUBMISSIONS);

		if ($subm_count) {
			echo "<div style='text-align:center;margin-top:15px;'>\n";
			echo "<strong><a href='".ADMIN."submissions.php".$aidlink."' class='side'>".sprintf($locale['global_125'], $subm_count);
			echo ($subm_count == 1 ? $locale['global_128'] : $locale['global_129'])."</a></strong>\n";
			echo "</div>\n";
		}
	}
	closeside();
} else {
	if (!preg_match('/login.php/i',FUSION_SELF)) {
		$action_url = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
		if (isset($_GET['redirect']) && strstr($_GET['redirect'], "/")) {
			$action_url = cleanurl(urldecode($_GET['redirect']));
		}

add_to_head("<script src='".BASEDIR."infusions/jquery_login_model_panel/js/script.js' type='text/javascript'></script>");
include INFUSIONS."jquery_login_model_panel/styles.php";

	openside($locale['global_100']);
	echo "<div style='text-align: center; padding: 10px;'><strong>".$locale['jlmp_029']."</strong> <a href='#dialog' name='modal'>".$locale['jlmp_025']."</a></div>";
	closeside();

	echo"<div id='boxes'>";
		echo"<div id='dialog' class='window'>";
			echo"<a href='#'class='close'><img src='".BASEDIR."infusions/jquery_login_model_panel/images/x.png' alt='".$locale['jlmp_026']."' style='border: 0px;' /></a>";
				echo "<div class='title'>".$locale['global_100']."</div>\n";
				echo "<div class='form-div'>";
				echo "<form name='loginform' method='post' action='".$action_url."'>\n";
				echo "<div class='username'> ".$locale['global_101']."</div>\n<input type='text' name='user_name' class='textboxb'  />\n";
				echo "<div class='password'>".$locale['global_102']."</div>\n<input type='password' name='user_pass' class='textboxb' /><br />\n";
				echo "<div class='loginbutton-div'>\n";
				echo "<input type='submit' name='login' value='".$locale['global_104']."' class='loginbutton' /><span class='rememberme'><label><input type='checkbox' name='remember_me' value='y' title='".$locale['global_103']."' style='vertical-align:middle;' /></label></span></div>\n";
				echo "</form>\n\n";
				if ($settings['enable_registration']) { echo "<div style='text-align: left; font-size: 14px;'>".$locale['jlmp_027']."</div>\n"; }
				echo "<div style='font-size: 14px; margin-top: 15px; margin-bottom: 15px;'>".$locale['jlmp_028']."</div>";
				echo"</div>\n";
		echo"</div>
		<div id='mask'></div>
	</div>\n";
		
	}
}
}
?>